package com.yanzuoguang.util.table;


/**
 * 列头
 * @author 颜佐光
 */
public class TableHeadItem {
    /**
     * 最高级别
     */
    private String name;

    /**
     * 路径
     */
    private String path;

    /**
     * 级别
     */
    private int level;

    /**
     * 当前列的最大级别
     */
    private int levelMax;

    /**
     * 第几行
     */
    private int row;

    /**
     * 合并多少行
     */
    private int rowCell;

    /**
     * 第几列
     */
    private int column;

    /**
     * 合并多少列
     */
    private int columnCell;

    /**
     * 是否属于数据列
     */
    private boolean dataColumn;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public int getLevel() {
        return level;
    }

    public void setLevel(int level) {
        this.level = level;
    }

    public int getLevelMax() {
        return levelMax;
    }

    public void setLevelMax(int levelMax) {
        this.levelMax = levelMax;
    }

    public int getRow() {
        return row;
    }

    public void setRow(int row) {
        this.row = row;
    }

    public int getRowCell() {
        return rowCell;
    }

    public void setRowCell(int rowCell) {
        this.rowCell = rowCell;
    }

    public int getColumn() {
        return column;
    }

    public void setColumn(int column) {
        this.column = column;
    }

    public int getColumnCell() {
        return columnCell;
    }

    public void setColumnCell(int columnCell) {
        this.columnCell = columnCell;
    }

    public boolean isDataColumn() {
        return this.dataColumn;
    }

    public void setDataColumn(boolean dataColumn) {
        this.dataColumn = dataColumn;
    }
}
